Subject: Re: Using netlink for intra-kernel requests?

From: Andi Kleen <[email-masked]>
Date: Wed, 09 Dec 2009 14:33:48 +0100

Jon Loeliger <[email-masked]> writes:
>
> I tried to read through some of the similar routing bits, but
> even they confess that they "should use netlink", but then doesn't.

That was the great plan at some point, but it never
happened.
>
> I feel like I am missing or don't know where to find the
> documentation for the intra-kernel netlink messaging.

I don't think the kernel uses intra kernel netlink normally,
just tends to call functions directly. That's more efficient
anyways.

-Andi
-- 
[email-masked] -- Speaking for myself only.